import { type PluginHooks } from 'houdini';
export declare const pluginHooks: () => Promise<PluginHooks>;
declare const _default: import("houdini").PluginInit;
export default _default;
declare module 'houdini' {
    interface HoudiniPluginConfig {
        'houdini-plugin-svelte-global-stores': HoudiniPluginSvelteGlobalStoresConfig;
    }
}
export type HoudiniPluginSvelteGlobalStoresConfig = {
    /**
     * The default prefix of your global stores.
     *
     * _Note: it's nice to have a prefix so that your editor finds all your stores by just typings this prefix_
     * @default GQL_
     */
    prefix?: string;
    /**
     * Types of stores to generate.
     *
     * _Note: by default, 'query' is omitted on purpose._
     * @default ['mutation', 'subscription', 'fragment']
     */
    generate?: ('query' | 'mutation' | 'subscription' | 'fragment')[] | 'all';
};
